# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t -*-
#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

$(eval $(call gb_UnpackedTarball_UnpackedTarball,liblangtag))

$(eval $(call gb_UnpackedTarball_set_tarball,liblangtag,$(LIBLANGTAG_TARBALL),,liblangtag))

$(eval $(call gb_UnpackedTarball_set_pre_action,liblangtag,\
	$(GNUTAR) -x -j -f $(gb_UnpackedTarget_TARFILE_LOCATION)/$(LANGTAGREG_TARBALL) \
))

$(eval $(call gb_UnpackedTarball_update_autoconf_configs,liblangtag))

$(eval $(call gb_UnpackedTarball_set_patchlevel,liblangtag,0))

ifneq ($(OS),MACOSX)
ifneq ($(OS),WNT)
$(eval $(call gb_UnpackedTarball_add_patches,liblangtag,\
	external/liblangtag/liblangtag-bundled-soname.patch.0 \
))
endif
endif

# * external/liblangtag/Wformat-overflow.patch is effectively covered by upstream
#   <https://bitbucket.org/tagoh/liblangtag/commits/49135ef561f309078f0bfd6e1f15052769cf75b4> "Fix
#   possible null argument for %s directive":
$(eval $(call gb_UnpackedTarball_add_patches,liblangtag, \
	$(if $(SYSTEM_LIBXML),,external/liblangtag/langtag-libtool-rpath.patch.0) \
    external/liblangtag/clang-cl.patch.0 \
    external/liblangtag/langtag-valencia.patch.0 \
    external/liblangtag/Wformat-overflow.patch \
))

# vim: set noet sw=4 ts=4:
